Create a pricing plan subscription group

Requires the PRICING_PLAN_SUBSCRIPTION_GROUP.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
Unique reference for this subscription group
namestring or nullOptional
Optional name for this subscription group
descriptionstring or nullOptional
Optional description for this subscription group
owner_customer_idstring or nullOptional
When provided, this subscription group can only be used for the customer that is linked to this ID and children of that customer
owner_customerobject or nullOptional

Response

Created
referencestringformat: "^\S+$"0-256 characters
Unique reference for this subscription group
object_typestring or nullRead-only
idstring or nullRead-only
namestring or null
Optional name for this subscription group
descriptionstring or null
Optional description for this subscription group
owner_customer_idstring or null
When provided, this subscription group can only be used for the customer that is linked to this ID and children of that customer
owner_customerobject or null
pricing_plan_subscription_idslist of strings or nullRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error